GDPdU Unpack Jobs
Read Gdpdu Unpack Job
Read a GDPdU unpack job, identified by its ID.
Permissions
api.file-manager.read
GET
/
v1
/
gdpdu-unpack-jobs
/
{gdpduUnpackJobId}
Read Gdpdu Unpack Job
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/gdpdu-unpack-jobs/{gdpduUnpackJobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/gdpdu-unpack-jobs/{gdpduUnpackJobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/gdpdu-unpack-jobs/{gdpduUnpackJobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"fileManagerFileId": "<string>",
"createdFileManagerEntities": [
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"type": "DIRECTORY",
"engagementId": "<string>",
"parentFileManagerEntityId": "<string>",
"name": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The ID of the Engagement containing the source archive.
The ID of the source GDPdU archive in File Manager.
The File Manager files and directories created by the unpack operation.
- File Manager Directory
- File Manager File
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Read Gdpdu Unpack Job

